## rust-exa 0.8.0

=== Makefile ===
DESTDIR =
PREFIX  = /usr/local

override define compdir
ifndef $(1)
$(1) := $$(or $$(shell pkg-config --variable=completionsdir $(2) 2>/dev/null),$(3))
endif
endef

$(eval $(call compdir,BASHDIR,bash-completion,$(PREFIX)/etc/bash_completion.d))
ZSHDIR  = /usr/share/zsh/vendor-completions
$(eval $(call compdir,FISHDIR,fish,$(PREFIX)/share/fish/vendor_completions.d))

FEATURES ?= default


all: target/release/exa
build: target/release/exa

target/release/exa:
	cargo build --release --no-default-features --features "$(FEATURES)"

install: install-exa install-man

install-exa: target/release/exa
	install -m755 -- target/release/exa "$(DESTDIR)$(PREFIX)/bin/"

install-man:
	install -dm755 -- "$(DESTDIR)$(PREFIX)/bin/" "$(DESTDIR)$(PREFIX)/share/man/man1/"
	install -m644  -- contrib/man/exa.1 "$(DESTDIR)$(PREFIX)/share/man/man1/"

install-bash-completions:
	install -m644 -- contrib/completions.bash "$(DESTDIR)$(BASHDIR)/exa"

install-zsh-completions:
	install -m644 -- contrib/completions.zsh "$(DESTDIR)$(ZSHDIR)/_exa"

install-fish-completions:
	install -m644 -- contrib/completions.fish "$(DESTDIR)$(FISHDIR)/exa.fish"

uninstall:
	-rm -f -- "$(DESTDIR)$(PREFIX)/share/man/man1/exa.1"
	-rm -f -- "$(DESTDIR)$(PREFIX)/bin/exa"
	-rm -f -- "$(DESTDIR)$(BASHDIR)/exa"
	-rm -f -- "$(DESTDIR)$(ZSHDIR)/_exa"
	-rm -f -- "$(DESTDIR)$(FISHDIR)/exa.fish"

clean:
	cargo clean

preview-man:
	man contrib/man/exa.1

help:
	@echo 'Available make targets:'
	@echo '  all         - build exa (default)'
	@echo '  build       - build exa'
	@echo '  clean       - run `cargo clean`'
	@echo '  install     - build and install exa and manpage'
	@echo '  install-exa - build and install exa'
	@echo '  install-man - install the manpage'
	@echo '  uninstall   - uninstall fish, manpage, and completions'
	@echo '  preview-man - preview the manpage without installing'
	@echo '  help        - print this help'
	@echo
	@echo '  install-bash-completions - install bash completions into $$BASHDIR'
	@echo '  install-zsh-completions  - install zsh completions into $$ZSHDIR'
	@echo '  install-fish-completions - install fish completions into $$FISHDIR'
	@echo
	@echo 'Variables:'
	@echo '  DESTDIR  - A path that'\''s prepended to installation paths (default: "")'
	@echo '  PREFIX   - The installation prefix for everything except zsh completions (default: /usr/local)'
	@echo '  BASHDIR  - The directory to install bash completions in (default: $$PREFIX/etc/bash_completion.d)'
	@echo '  ZSHDIR   - The directory to install zsh completions in (default: /usr/share/zsh/vendor-completions)'
	@echo '  FISHDIR  - The directory to install fish completions in (default: $$PREFIX/share/fish/vendor_completions.d)'
	@echo '  FEATURES - The cargo feature flags to use. Set to an empty string to disable git support'

.PHONY: all build target/release/exa install-exa install-man preview-man \
	install-bash-completions install-zsh-completions install-fish-completions \
	clean uninstall help

=== debian/changelog ===
rust-exa (0.8.0-2) unstable; urgency=medium

  * Silent the tests which fails without a terminal (Closes: #917225)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 26 Dec 2018 12:27:38 +0100

rust-exa (0.8.0-1) unstable; urgency=medium

  * Finalize the package for upload

  [ Ximin Luo ]
  * Package exa 0.8.0 from crates.io using debcargo 2.2.9
    (Closes: #903510)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 23 Dec 2018 10:47:33 +0100

=== debian/control ===
Source: rust-exa
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 10),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-ansi-term-0.11+default-dev,
 librust-datetime-0.4+default-dev (>= 0.4.5-~~),
 librust-env-logger-0.6+default-dev,
 librust-getopts-0.2+default-dev (>= 0.2.14-~~),
 librust-git2-0.7-dev,
 librust-glob-0.2+default-dev,
 librust-lazy-static-1+default-dev (>= 1.2-~~),
 librust-libc-0.2+default-dev (>= 0.2.9-~~),
 librust-locale-0.2+default-dev (>= 0.2.1-~~),
 librust-log-0.4+default-dev,
 librust-natord-1+default-dev (>= 1.0.7-~~),
 librust-num-cpus-1+default-dev (>= 1.3.0-~~),
 librust-number-prefix-0.2+default-dev (>= 0.2.3-~~),
 librust-scoped-threadpool-0.1+default-dev,
 librust-term-grid-0.1+default-dev (>= 0.1.6-~~),
 librust-term-size-0.3+default-dev,
 librust-unicode-width-0.1+default-dev (>= 0.1.4-~~),
 librust-users-0.8+default-dev,
 librust-zoneinfo-compiled-0.4+default-dev (>= 0.4.5-~~),
 help2man
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/exa]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/exa
Homepage: https://the.exa.website/

Package: librust-exa-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-ansi-term-0.11+default-dev,
 librust-datetime-0.4+default-dev (>= 0.4.5-~~),
 librust-env-logger-0.6+default-dev,
 librust-getopts-0.2+default-dev (>= 0.2.14-~~),
 librust-glob-0.2+default-dev,
 librust-lazy-static-1+default-dev (>= 1.2-~~),
 librust-libc-0.2+default-dev (>= 0.2.9-~~),
 librust-locale-0.2+default-dev (>= 0.2.1-~~),
 librust-log-0.4+default-dev,
 librust-natord-1+default-dev (>= 1.0.7-~~),
 librust-num-cpus-1+default-dev (>= 1.3.0-~~),
 librust-number-prefix-0.2+default-dev (>= 0.2.3-~~),
 librust-scoped-threadpool-0.1+default-dev,
 librust-term-grid-0.1+default-dev (>= 0.1.6-~~),
 librust-term-size-0.3+default-dev,
 librust-unicode-width-0.1+default-dev (>= 0.1.4-~~),
 librust-users-0.8+default-dev,
 librust-zoneinfo-compiled-0.4+default-dev (>= 0.4.5-~~)
Recommends:
 librust-exa+git-dev (= ${binary:Version})
Suggests:
 librust-exa+git2-dev (= ${binary:Version})
Provides:
 librust-exa-0-dev (= ${binary:Version}),
 librust-exa-0.8-dev (= ${binary:Version}),
 librust-exa-0.8.0-dev (= ${binary:Version})
Description: Modern replacement for ls - Rust source code
 This package contains the source for the Rust exa crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-exa+git-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-exa-dev (= ${binary:Version}),
 librust-git2-0.7-dev
Provides:
 librust-exa+default-dev (= ${binary:Version}),
 librust-exa-0+git-dev (= ${binary:Version}),
 librust-exa-0+default-dev (= ${binary:Version}),
 librust-exa-0.8+git-dev (= ${binary:Version}),
 librust-exa-0.8+default-dev (= ${binary:Version}),
 librust-exa-0.8.0+git-dev (= ${binary:Version}),
 librust-exa-0.8.0+default-dev (= ${binary:Version})
Description: Modern replacement for ls - feature "git"
 This metapackage enables feature git for the Rust exa crate, by pulling in any
 additional dependencies needed by that feature.

Package: librust-exa+git2-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-exa-dev (= ${binary:Version}),
 librust-git2-0.7-dev
Provides:
 librust-exa-0+git2-dev (= ${binary:Version}),
 librust-exa-0.8+git2-dev (= ${binary:Version}),
 librust-exa-0.8.0+git2-dev (= ${binary:Version})
Description: Modern replacement for ls - feature "git2"
 This metapackage enables feature git2 for the Rust exa crate, by pulling in any
 additional dependencies needed by that feature.

Package: exa
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Modern replacement for ls
 exa is an improved file lister with more features and better defaults.
 It uses colours to distinguish file types and metadata. It knows about
 symlinks, extended attributes, and Git. And it’s small, fast, and just
  one single binary.
 .
 This package contains the following binaries built from the Rust crate
 "exa":
  - exa

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem cargo

override_dh_installman:
	help2man \
		--name exa \
		--no-info \
		--version-string $(DEB_VERSION_UPSTREAM) \
		debian/exa/usr/bin/exa > debian/exa.1
	dh_installman -O--buildsystem=cargo

override_dh_auto_test:
	dh_auto_test -- test --all

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/exa-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/exa .*/crates/exa/@ANY_VERSION@/download

## rust-exa 0.9.0

=== debian/changelog ===
rust-exa (0.9.0-5) unstable; urgency=medium

  * Package exa 0.9.0 from crates.io using debcargo 2.4.4-alpha.0
  * Bump number-prefix to 0.4 to match the one uploaded
  * Disable dwz. See https://github.com/rust-lang/rust/issues/66118

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 22 Dec 2020 13:24:16 +0100

rust-exa (0.9.0-4) unstable; urgency=medium

  * Package exa 0.9.0 from crates.io using debcargo 2.4.3
  * Rebuild exa to bump the users dep to 0.10

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 28 Jun 2020 19:32:07 +0200

rust-exa (0.9.0-3) unstable; urgency=medium

  * Package exa 0.9.0 from crates.io using debcargo 2.4.2
  * Silent tests to make autopkgtest pass

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Apr 2020 22:54:10 +0200

rust-exa (0.9.0-2) unstable; urgency=medium

  * Package exa 0.9.0 from crates.io using debcargo 2.4.0
  * Rebuild for env_logger

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 30 Dec 2019 13:41:06 +0100

rust-exa (0.9.0-1) unstable; urgency=medium

  * Package exa 0.9.0 from crates.io using debcargo 2.4.0
    (Closes: #934953)
  * Disable git support because a test fail in libgit2-sys
    I will fix it with the new version of libgit2-sys

  [ kpcyrd ]
  * Update the package to build with more recent version of glob and users
    (Closes: #932591)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 16 Nov 2019 22:58:53 +0100

=== debian/control ===
Source: rust-exa
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 24),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-ansi-term-0.12+default-dev,
 librust-datetime-0.4+default-dev (>= 0.4.7-~~),
 librust-env-logger-0.7+default-dev,
 librust-glob-0.3+default-dev,
 librust-lazy-static-1+default-dev (>= 1.3.0-~~),
 librust-libc-0.2+default-dev (>= 0.2.51-~~),
 librust-locale-0.2+default-dev (>= 0.2.2-~~),
 librust-log-0.4+default-dev (>= 0.4.6-~~),
 librust-natord-1+default-dev (>= 1.0.9-~~),
 librust-num-cpus-1+default-dev (>= 1.10.0-~~),
 librust-number-prefix-0.4+default-dev,
 librust-scoped-threadpool-0.1+default-dev (>= 0.1.9-~~),
 librust-term-grid-0.1+default-dev (>= 0.1.7-~~),
 librust-term-size-0.3+default-dev (>= 0.3.1-~~),
 librust-unicode-width-0.1+default-dev (>= 0.1.5-~~),
 librust-users-0.10+default-dev,
 librust-zoneinfo-compiled-0.4+default-dev (>= 0.4.8-~~),
 help2man
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>,
 kpcyrd <git@rxv.cc>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/exa]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/exa
Homepage: https://the.exa.website/
Rules-Requires-Root: no

Package: librust-exa-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-ansi-term-0.12+default-dev,
 librust-datetime-0.4+default-dev (>= 0.4.7-~~),
 librust-env-logger-0.7+default-dev,
 librust-glob-0.3+default-dev,
 librust-lazy-static-1+default-dev (>= 1.3.0-~~),
 librust-libc-0.2+default-dev (>= 0.2.51-~~),
 librust-locale-0.2+default-dev (>= 0.2.2-~~),
 librust-log-0.4+default-dev (>= 0.4.6-~~),
 librust-natord-1+default-dev (>= 1.0.9-~~),
 librust-num-cpus-1+default-dev (>= 1.10.0-~~),
 librust-number-prefix-0.4+default-dev,
 librust-scoped-threadpool-0.1+default-dev (>= 0.1.9-~~),
 librust-term-grid-0.1+default-dev (>= 0.1.7-~~),
 librust-term-size-0.3+default-dev (>= 0.3.1-~~),
 librust-unicode-width-0.1+default-dev (>= 0.1.5-~~),
 librust-users-0.10+default-dev,
 librust-zoneinfo-compiled-0.4+default-dev (>= 0.4.8-~~)
Provides:
 librust-exa+default-dev (= ${binary:Version}),
 librust-exa-0-dev (= ${binary:Version}),
 librust-exa-0+default-dev (= ${binary:Version}),
 librust-exa-0.9-dev (= ${binary:Version}),
 librust-exa-0.9+default-dev (= ${binary:Version}),
 librust-exa-0.9.0-dev (= ${binary:Version}),
 librust-exa-0.9.0+default-dev (= ${binary:Version})
Description: Modern replacement for ls - Rust source code
 This package contains the source for the Rust exa crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: exa
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Modern replacement for ls
 exa is an improved file lister with more features and better defaults.
 It uses colours to distinguish file types and metadata. It knows about
 symlinks, extended attributes, and Git. And it’s small, fast, and just
  one single binary.

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,8 @@
 	dh_installman -O--buildsystem=cargo
 
 override_dh_auto_test:
-	dh_auto_test -- test --all
+	dh_auto_test || true
+
+override_dh_dwz:
+	# Don't do anything. fails because of the
+	# https://github.com/rust-lang/rust/issues/66118

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test exa 0.9.0 --all-targets --all-features
Features: test-name=rust-exa:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test exa 0.9.0 --all-targets 
Features: test-name=librust-exa-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test exa 0.9.0 --all-targets --no-default-features
Features: test-name=librust-exa-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable, flaky

## rust-exa 0.10.1

=== debian/changelog ===
rust-exa (0.10.1-4) unstable; urgency=medium

  * Team upload.
  * Package exa 0.10.1 from crates.io using debcargo 2.6.0
  * Bump upper limit of git2 dependency to allow 0.16.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 12 Jan 2023 17:05:32 +0000

rust-exa (0.10.1-3) unstable; urgency=medium

  * Team upload.
  * Package exa 0.10.1 from crates.io using debcargo 2.6.0
  * Fix installation of bash completions (Closes: #1017358)
  * Bump git2 version so git feature can be re-enabled (Closes: #993768)

 -- James McCoy <jamessan@debian.org>  Sun, 20 Nov 2022 14:07:47 -0500

rust-exa (0.10.1-2) unstable; urgency=medium

  * Install the manpages and completions (Closes: #996059)
  * Adjust the description (Closes: #996081)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 11 Oct 2021 10:06:41 +0200

rust-exa (0.10.1-1) unstable; urgency=medium

  * Package exa 0.10.1 from crates.io using debcargo 2.4.4-alpha.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 Aug 2021 17:14:03 +0200

=== debian/control ===
Source: rust-exa
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-ansi-term-0.12+default-dev,
 librust-datetime-0.5+format-dev (>= 0.5.2-~~),
 librust-datetime-0.5-dev (>= 0.5.2-~~),
 librust-git2-0.16-dev | librust-git2-0.15-dev | librust-git2-0.14-dev | librust-git2-0.13-dev,
 librust-glob-0.3+default-dev,
 librust-lazy-static-1+default-dev (>= 1.3-~~),
 librust-libc-0.2+default-dev,
 librust-locale-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-natord-1+default-dev,
 librust-num-cpus-1+default-dev (>= 1.10-~~),
 librust-number-prefix-0.4+default-dev,
 librust-scoped-threadpool-0.1+default-dev,
 librust-term-grid-0.1+default-dev,
 librust-term-size-0.3+default-dev,
 librust-unicode-width-0.1+default-dev,
 librust-users-0.11+default-dev,
 librust-zoneinfo-compiled-0.5+default-dev (>= 0.5.1-~~),
 pandoc,
 bash-completion
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>,
 kpcyrd <git@rxv.cc>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/exa]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/exa
Homepage: https://the.exa.website/
X-Cargo-Crate: exa
Rules-Requires-Root: no

Package: exa
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Modern replacement for ls
 exa is an improved file lister with more features and better defaults.
 It uses colours to distinguish file types and metadata. It knows about
 symlinks, extended attributes, and Git. And it’s small, fast, and just
 one single binary.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem cargo --with bash-completion

override_dh_install:
	mkdir -p debian/exa/usr/share/fish/completions/ debian/exa/usr/share/zsh/vendor-completions/
	cp -f completions/completions.fish debian/exa/usr/share/fish/completions/exa.fish
	chmod -x debian/exa/usr/share/fish/completions/exa.fish
	cp -f completions/completions.zsh debian/exa/usr/share/zsh/vendor-completions/_exa
	dh_install

override_dh_installman:
	pandoc --standalone -f markdown -t man man/exa.1.md        > debian/exa.1
	pandoc --standalone -f markdown -t man man/exa_colors.5.md > debian/exa_colors.5
	dh_installman -O--buildsystem=cargo

override_dh_auto_test:
	dh_auto_test || true

override_dh_dwz:
	# Don't do anything. fails because of the
	# https://github.com/rust-lang/rust/issues/66118
